export declare function useMobileRightMenu(): {
    mobileMenuOpen: import('vue').Ref<boolean, boolean>;
    mobileBurgerButtonRef: import('vue').Ref<HTMLElement | null, HTMLElement | null>;
    mobileRightMenuRef: import('vue').Ref<HTMLElement | null, HTMLElement | null>;
    mobileActiveIndex: import('vue').Ref<number | null, number | null>;
    mobileActiveDescendantId: import('vue').Ref<string | null, string | null>;
    handleMobileMenuKeydown: (event: KeyboardEvent) => void;
    onMobileMenuModel: (val: boolean) => void;
    openMobileMenuAndFocus: () => void;
};
